#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-extended-binary-heaps.html>

module Bindings.Gts.BasicMacrosFunctionsAndDataStructures.ExtendedBinaryHeaps where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#ccall gts_eheap_new , <GtsKeyFunc> -> <gpointer> -> IO (Ptr <GtsEHeap>) 
#ccall gts_eheap_insert , Ptr <GtsEHeap> -> <gpointer> -> IO (Ptr <GtsEHeapPair>) 
#ccall gts_eheap_insert_with_key , Ptr <GtsEHeap> -> <gpointer> -> <gdouble> -> IO (Ptr <GtsEHeapPair>) 
#ccall gts_eheap_top , Ptr <GtsEHeap> -> Ptr <gdouble> -> IO <gpointer>
#ccall gts_eheap_remove_top , Ptr <GtsEHeap> -> Ptr <gdouble> -> IO <gpointer>
#ccall gts_eheap_remove , Ptr <GtsEHeap> -> Ptr <GtsEHeapPair> -> IO <gpointer>
#ccall gts_eheap_decrease_key , Ptr <GtsEHeap> -> Ptr <GtsEHeapPair> -> <gdouble> -> IO ()
#ccall gts_eheap_key , Ptr <GtsEHeap> -> <gpointer> -> IO <gdouble>
#ccall gts_eheap_randomized , Ptr <GtsEHeap> -> <gboolean> -> IO ()
#ccall gts_eheap_update , Ptr <GtsEHeap> -> IO ()
#ccall gts_eheap_freeze , Ptr <GtsEHeap> -> IO ()
#ccall gts_eheap_thaw , Ptr <GtsEHeap> -> IO ()
#ccall gts_eheap_foreach , Ptr <GtsEHeap> -> <GFunc> -> <gpointer> -> IO ()
#ccall gts_eheap_size , Ptr <GtsEHeap> -> IO <guint>
#ccall gts_eheap_destroy , Ptr <GtsEHeap> -> IO ()
