#include <bindings.dsl.h>
#include <gts.h>

-- | <http://gts.sourceforge.net/reference/gts-differential-geometry-operators.html>

module Bindings.Gts.SurfaceOperations.DifferencialGeometryOperators where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#ccall gts_vertex_gaussian_curvature , Ptr <GtsVertex> -> Ptr <GtsSurface> -> Ptr <gdouble> -> IO <gboolean>
#ccall gts_vertex_mean_curvature_normal , Ptr <GtsVertex> -> Ptr <GtsSurface> -> <GtsVector> -> IO <gboolean>
#ccall gts_vertex_principal_curvatures , <gdouble> -> <gdouble> -> Ptr <gdouble> -> Ptr <gdouble> -> IO ()
#ccall gts_vertex_principal_directions , Ptr <GtsVertex> -> Ptr <GtsSurface> -> <GtsVector> -> <gdouble> -> <GtsVector> -> <GtsVector> -> IO ()
