#include <bindings.dsl.h>

-- | <http://gts.sourceforge.net/reference/gts-binary-heaps.html>

module Bindings.Gts.BasicMacrosFunctionsAndDataStructures.BinaryHeaps where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#ccall gts_heap_new , <GCompareFunc> -> IO (Ptr <GtsHeap>) 
#ccall gts_heap_insert , Ptr <GtsHeap> -> <gpointer> -> IO ()
#ccall gts_heap_remove_top , Ptr <GtsHeap> -> IO <gpointer>
#ccall gts_heap_top , Ptr <GtsHeap> -> IO <gpointer>
#ccall gts_heap_freeze , Ptr <GtsHeap> -> IO ()
#ccall gts_heap_thaw , Ptr <GtsHeap> -> IO ()
#ccall gts_heap_foreach , Ptr <GtsHeap> -> <GFunc> -> <gpointer> -> IO ()
#ccall gts_heap_size , Ptr <GtsHeap> -> IO <guint>
#ccall gts_heap_destroy , Ptr <GtsHeap> -> IO ()
