#include <bindings.dsl.h>

-- | <http://gts.sourceforge.net/reference/gts-kd-trees.html>

module Bindings.Gts.GeometricalDataStructures.KdTrees where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#ccall gts_kdtree_new , Ptr <GPtrArray> -> FunPtr (Ptr a -> Ptr a -> IO CInt) -> IO (Ptr <GNode>) 
#ccall gts_kdtree_range , Ptr <GNode> -> Ptr <GtsBBox> -> FunPtr (Ptr a -> Ptr a -> IO CInt) -> IO (Ptr <GSList>) 

#cinline gts_kdtree_destroy , Ptr <GNode> -> IO ()

