#include <bindings.dsl.h>

-- | <http://gts.sourceforge.net/reference/gts-weighted-graph.html>

module Bindings.Gts.GraphAndOperationsOnGraphs.WeightedGraph where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_WGEDGE_CLASS , Ptr a -> Ptr <GtsWGEdgeClass>
#cinline GTS_WGEDGE , Ptr a -> Ptr <GtsWGEdge>
#cinline GTS_IS_WGEDGE , Ptr a -> Ptr <gboolean> 

#ccall gts_wgedge_class , IO (Ptr <GtsWGEdgeClass>) 
#ccall gts_wgedge_new , Ptr <GtsWGEdgeClass> -> Ptr <GtsGNode> -> Ptr <GtsGNode> -> <gfloat> -> IO (Ptr <GtsWGEdge>) 

#cinline GTS_WGNODE_CLASS , Ptr a -> Ptr <GtsWGNodeClass>
#cinline GTS_WGNODE , Ptr a -> Ptr <GtsWGNode>
#cinline GTS_IS_WGNODE , Ptr a -> Ptr <gboolean> 

#ccall gts_wgnode_class , IO (Ptr <GtsWGNodeClass>) 
#ccall gts_wgnode_new , Ptr <GtsWGNodeClass> -> <gfloat> -> IO (Ptr <GtsWGNode>) 

#cinline GTS_WGRAPH_CLASS , Ptr a -> Ptr <GtsWGraphClass>
#cinline GTS_WGRAPH , Ptr a -> Ptr <GtsWGraph>
#cinline GTS_IS_WGRAPH , Ptr a -> Ptr <gboolean> 

#ccall gts_wgraph_class , IO (Ptr <GtsWGraphClass>) 
#ccall gts_wgraph_weight_max , Ptr <GtsWGraph> -> IO <gfloat>
