#include <bindings.dsl.h>

-- | <http://gts.sourceforge.net/reference/gts-hierarchical-vertex-split.html>

module Bindings.Gts.ProgressiveAndHierarchicalSurfaces.HierarchicalVertexSplit where
import Bindings.GLib
import Bindings.Gts.Types
#strict_import

#cinline GTS_HSPLIT_CLASS , Ptr a -> Ptr <GtsHSplitClass>
#cinline GTS_HSPLIT , Ptr a -> Ptr <GtsHSplit>
#cinline GTS_IS_HSPLIT , Ptr a -> Ptr <gboolean> 

#ccall gts_hsplit_class , IO (Ptr <GtsHSplitClass>) 
#ccall gts_hsplit_new , Ptr <GtsHSplitClass> -> Ptr <GtsSplit> -> IO (Ptr <GtsHSplit>) 
#ccall gts_hsplit_collapse , Ptr <GtsHSplit> -> Ptr <GtsHSurface> -> IO ()
#ccall gts_hsplit_expand , Ptr <GtsHSplit> -> Ptr <GtsHSurface> -> IO ()
#ccall gts_hsplit_force_expand , Ptr <GtsHSplit> -> Ptr <GtsHSurface> -> IO ()
